[arch-commits] Commit in nodejs/repos/community-x86_64 (4 files)

Felix Yan felixonmars at archlinux.org
Wed Jul 1 00:04:44 UTC 2020


    Date: Wednesday, July 1, 2020 @ 00:04:43
  Author: felixonmars
Revision: 657220

archrelease: copy trunk to community-x86_64

Added:
  nodejs/repos/community-x86_64/PKGBUILD
    (from rev 657219, nodejs/trunk/PKGBUILD)
  nodejs/repos/community-x86_64/rebuild.list
    (from rev 657219, nodejs/trunk/rebuild.list)
Deleted:
  nodejs/repos/community-x86_64/PKGBUILD
  nodejs/repos/community-x86_64/rebuild.list

--------------+
 PKGBUILD     |  114 ++++++++++++++++++++++++++++-----------------------------
 rebuild.list |    4 +-
 2 files changed, 59 insertions(+), 59 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2020-07-01 00:04:20 UTC (rev 657219)
+++ PKGBUILD	2020-07-01 00:04:43 UTC (rev 657220)
@@ -1,57 +0,0 @@
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor  Bartłomiej Piotrowski <bpiotrowski at archlinux.org>
-# Contributor: Thomas Dziedzic < gostrc at gmail >
-# Contributor: James Campos <james.r.campos at gmail.com>
-# Contributor: BlackEagle < ike DOT devolder AT gmail DOT com >
-# Contributor: Dongsheng Cai <dongsheng at moodle dot com>
-# Contributor: Masutu Subric <masutu.arch at googlemail dot com>
-# Contributor: TIanyi Cui <tianyicui at gmail.com>
-
-pkgname=nodejs
-pkgver=14.4.0
-pkgrel=1
-pkgdesc='Evented I/O for V8 javascript'
-arch=('x86_64')
-url='https://nodejs.org/'
-license=('MIT')
-depends=('openssl' 'zlib' 'icu' 'libuv' 'c-ares' 'libnghttp2') # 'http-parser' 'v8')
-makedepends=('python' 'procps-ng')
-optdepends=('npm: nodejs package manager')
-source=("nodejs-$pkgver.tar.gz::https://github.com/nodejs/node/archive/v$pkgver.tar.gz")
-sha512sums=('88e8acc9b3359a57f0ed8d4d6e5af1d8d3595360348b76a52b12647d95bfb9668cc7587218cdc9e969cbcdc7a10ec3f5082b23787d1d61bf5e0cb4b94c40d290')
-
-build() {
-  cd node-$pkgver
-
-  ./configure \
-    --prefix=/usr \
-    --with-intl=system-icu \
-    --without-npm \
-    --shared-openssl \
-    --shared-zlib \
-    --shared-libuv \
-    --experimental-http-parser \
-    --shared-cares \
-    --shared-nghttp2
-    # --shared-v8
-    # --shared-http-parser
-
-  make
-}
-
-check() {
-  cd node-$pkgver
-  # Expected failure: https://github.com/nodejs/node/issues/11627
-  make test || warning "Tests failed"
-}
-
-package() {
-  cd node-$pkgver
-
-  make DESTDIR="$pkgdir" install
-
-  install -D -m644 LICENSE \
-    "$pkgdir"/usr/share/licenses/nodejs/LICENSE
-}
-
-# vim:set ts=2 sw=2 et:

Copied: nodejs/repos/community-x86_64/PKGBUILD (from rev 657219, nodejs/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2020-07-01 00:04:43 UTC (rev 657220)
@@ -0,0 +1,57 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor  Bartłomiej Piotrowski <bpiotrowski at archlinux.org>
+# Contributor: Thomas Dziedzic < gostrc at gmail >
+# Contributor: James Campos <james.r.campos at gmail.com>
+# Contributor: BlackEagle < ike DOT devolder AT gmail DOT com >
+# Contributor: Dongsheng Cai <dongsheng at moodle dot com>
+# Contributor: Masutu Subric <masutu.arch at googlemail dot com>
+# Contributor: TIanyi Cui <tianyicui at gmail.com>
+
+pkgname=nodejs
+pkgver=14.5.0
+pkgrel=1
+pkgdesc='Evented I/O for V8 javascript'
+arch=('x86_64')
+url='https://nodejs.org/'
+license=('MIT')
+depends=('openssl' 'zlib' 'icu' 'libuv' 'c-ares' 'libnghttp2') # 'http-parser' 'v8')
+makedepends=('python' 'procps-ng')
+optdepends=('npm: nodejs package manager')
+source=("nodejs-$pkgver.tar.gz::https://github.com/nodejs/node/archive/v$pkgver.tar.gz")
+sha512sums=('aae2cd77f651452c6a65763e63eb730b959dde8972ca5602d3cfa0b95e9b6e8621548660bc63fcc947809da9eb32afd8c24da3561df302ed25f16c04bd93421c')
+
+build() {
+  cd node-$pkgver
+
+  ./configure \
+    --prefix=/usr \
+    --with-intl=system-icu \
+    --without-npm \
+    --shared-openssl \
+    --shared-zlib \
+    --shared-libuv \
+    --experimental-http-parser \
+    --shared-cares \
+    --shared-nghttp2
+    # --shared-v8
+    # --shared-http-parser
+
+  make
+}
+
+check() {
+  cd node-$pkgver
+  # Expected failure: https://github.com/nodejs/node/issues/11627
+  make test || warning "Tests failed"
+}
+
+package() {
+  cd node-$pkgver
+
+  make DESTDIR="$pkgdir" install
+
+  install -D -m644 LICENSE \
+    "$pkgdir"/usr/share/licenses/nodejs/LICENSE
+}
+
+# vim:set ts=2 sw=2 et:

Deleted: rebuild.list
===================================================================
--- rebuild.list	2020-07-01 00:04:20 UTC (rev 657219)
+++ rebuild.list	2020-07-01 00:04:43 UTC (rev 657220)
@@ -1,2 +0,0 @@
-apm
-bash-language-server

Copied: nodejs/repos/community-x86_64/rebuild.list (from rev 657219, nodejs/trunk/rebuild.list)
===================================================================
--- rebuild.list	                        (rev 0)
+++ rebuild.list	2020-07-01 00:04:43 UTC (rev 657220)
@@ -0,0 +1,2 @@
+apm
+bash-language-server


More information about the arch-commits mailing list